//---------------------------------------------------------------------------

#ifndef VMS0410MFH
#define VMS0410MFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
#include "VMSWCAM0F.h"
#include "WindowMsgF.h"
#include "CDSCctvF.h"
#include "cxControls.hpp"
#include "cxGraphics.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxPC.hpp"
#include "cxPCdxBarPopupMenu.hpp"

//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

class TVMS0410M : public TForm
{
__published:	// IDE-managed Components
    TPanel *PnlClient;
private:	// User declarations
    int     FLayout;
    void __fastcall SetLayout(int ALayout);
public:		// User declarations
    __fastcall TVMS0410M(TComponent* Owner, HWND AHandle, TcxTabSheet *ASheet, TXView *AObj);

public:
    TcxTabSheet *FSheet;
    int          FCols, FRows;
    TXView      *FView;
    TVMSWCAM0   *FFrmCamera[MAX_VMS_CAMERA];
    HWND         FWndParent;

    void __fastcall RecalFormSize();
    void __fastcall InitCamera();
    void __fastcall UpdateCctvMasterInfo();
    void __fastcall Play();
    void __fastcall Stop();

    __property int Layout = { read=FLayout, write=SetLayout };

    void __fastcall OnVmsSelectMessage(TMessage &Msg);
    void __fastcall OnVmsSelectDblClickMessage(TMessage &Msg);
	BEGIN_MESSAGE_MAP
        MESSAGE_HANDLER(WM_VMS_SELECT, TMessage, OnVmsSelectMessage)
        MESSAGE_HANDLER(WM_VMS_SELECT_DBLCLICK, TMessage, OnVmsSelectDblClickMessage)
    END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
//extern PACKAGE TVMS0410M *VMS0410M;
//---------------------------------------------------------------------------
#endif

